Page MenuHome

Game_Engine/Licensing (content todo)
Closed, ArchivedPublic

Description

There are multiple issues on the game engine / licensing.

  1. It sounds like all "open source software" is "problematic". But only copyleft is.
  2. Link to http://www.blender.org/education-help/faq/gpl-for-artists/ is broken, should be replaced with http://www.blender.org/support/faq/
  3. The "Distributing Games" section first promises "how to distribute your game with suitable license protection" and then immediately suggest using no license (Which is impossible. It *has* to be GPL, if you compile the game, thus that section should be removed)
  4. Game Actuator could use more help for people unfamiliar with it.

It appears that the topic is partially covered in section "So I can make games without having to worry about the GPL, right?" of http://www.blender.org/support/faq/

I suggest that the following text is used instead (check for factual correctness required by somebody who knows Blender better than I do):

Restrictions apply to games made with the Standalone Player, as Blender is licensed under the copyleft license GNU GPL.

You own your work made with Blender but when you create an executable for your game, part of the Blender Game Engine gets copied into it, making it a derivative of Blender. GPL requires that derivative to be GPL-licensed.

Instead, you can bundle the Standalone Player and your .blend game without combining the files. Using Game Actuator, enables a basic .blend game file to start. By making a basic file which contains an "Always" sensor to run, and allowing this to activate a "Game" actuator to load and run the full content of your game, this gets round the problem.

The .blend file is not encrypted and readable by anybody who owns the game. You still control what people are allowed to do with your .blend by choosing the terms under which you distribute your game but people will easily be able to study and modify their copy of it.

Details

Type
To Do

Event Timeline

qubodup created this task.Dec 23 2014, 4:40 AM
qubodup updated the task description. (Show Details)
qubodup raised the priority of this task from to Needs Triage.
qubodup added a project: BF Blender.
qubodup set Type to Bug.
qubodup added a subscriber: qubodup.

Hey @qubodup,
this is our Blender bug tracker, not our Blender documentation suggestions tracker ;). So for tasks like this please do a couple of things different in future:

  • Don't assign it to BF Blender, assign to Documentation
  • Don't set type to bug, set it to Design or ToDo (depends)
  • You're refering to the old documentation, check with the new one (which has only changed slightly in this case)

@Julian Eisel (Severin), broken links are really bad, it's not a todo but thing to be fixed.

@Francesco Siddi (fsiddi) or @venomgfx, can you please fix the links?

@Ton Roosendaal (ton), can you please look into the feedback about licensing?

Sergey Sharybin (sergey) triaged this task as Normal priority.Dec 23 2014, 6:19 AM

Oh dear, that wiki page is a mess, incorrect and not nice even. The page was written by unknown editors ( it's a wiki you know :)
A while ago tried to fix quickly some stuff on it, but after closer inspection I decided to rewrite it entirely.

http://wiki.blender.org/index.php/Doc:2.6/Manual/Game_Engine/Licensing

BTW: My general advise to anyone who uses the BGE is to not attempt to lock things up - it's a battle you never win anyway. Spreading Blender games just means you have to play by the GPL. If you don't like GPL, choose another game engine.

Campbell Barton (campbellbarton) renamed this task from [documentation] to Game_Engine/Licensing (content todo).Jan 6 2015, 1:17 AM
Campbell Barton (campbellbarton) closed this task as Archived.EditedMar 13 2015, 2:18 AM

@qubodup, this was indeed quite bad - I made some updates to the manual (so its at least not spreading mis-information).
https://www.blender.org/manual/game_engine/licensing.html

If you have corrections to make, please send us modified source file (View Page Source - top right)

Archiving this report.


Note, still not especially happy with this page, but think at least the main issues are cleared up. Further improvements can be made, but would prefer not to get into providing elaborate legal info in our manual.